Subject: Re: [PATCH] docs: add git-hash-object -t option's possible values

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jun 2023 16:04:31 -0700

"brian m. carlson" <[email-masked]> writes:

> On 2023-06-22 at 00:46:34, John Cai via GitGitGadget wrote:
>> From: John Cai <[email-masked]>
>> 
>> For newer users of Git, the possible values of -t in git-hash-object may
>> not be apparent. In fact the current verbiage under NAME could
>> lead one to conclude that git-hash-object(1) can only be used to create
>> blobs.
>> 
>> Update the verbiage to make it clear the command can be used to write
>> objects, not just blobs. Also add the possible values for -t.
>
> Sure, I think this is a good change.  I'm of the opinion we should tell
> people explicitly what the valid values are whenever there are a
> reasonable number.

Strictly speaking, the valid values become unbounded under
--literally, but it is just for those who build and experiment with
Git, not for end-users or toolsmiths, so I am OK with listing the
four object types here.

Thanks.